Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.render
Class MocContainerRenderer

    java.lang.Object
      |
      +--oracle.portal.provider.v2.render.PortletContainerRenderer
            |
            +--oracle.portal.provider.v2.render.DefaultContainerRenderer
                  |
                  +--oracle.portal.provider.v2.render.MocContainerRenderer

public class MocContainerRenderer
extends DefaultContainerRenderer

A PortletContainerRenderer is a utility class that renders the container for a portlet. The container that is renderered may vary depending on the SHOW mode that is being requested. For example, Edit, Edit Defaults. Help, About, and Show Details are all rendered in "full screen" mode whereas the regular Show and Preview modes have variable size containers depending on the size of the portlet.

Field Summary

Fields inherited from class oracle.portal.provider.v2.render.PortletContainerRenderer
`ACTION_PARAM_NAME, CUSTOMIZE_FORM_NAME, DEFAULT_ACTION_PARAM, EDIT_FORM_NAME, HELP_URL, PORTLET_TITLE, PRINT_WRITER, RENDER_CUSTOMIZE, RENDER_MODE`

Constructor Summary
`MocContainerRenderer()`

Methods inherited from class oracle.portal.provider.v2.render.DefaultContainerRenderer
`renderAboutFooter, renderAboutFooter, renderAboutHeader, renderAboutHeader, renderDetailsFooter, renderDetailsFooter, renderDetailsHeader, renderDetailsHeader, renderEditDefaultsFooter, renderEditDefaultsFooter, renderEditDefaultsHeader, renderEditDefaultsHeader, renderEditFooter, renderEditFooter, renderEditHeader, renderEditHeader, renderHelpFooter, renderHelpFooter, renderHelpHeader, renderHelpHeader, renderPreviewFooter, renderPreviewFooter, renderPreviewHeader, renderPreviewHeader, renderShowFooter, renderShowFooter, renderShowHeader, renderShowHeader`

Methods inherited from class oracle.portal.provider.v2.render.PortletContainerRenderer
`renderPortletFooter, renderPortletFooter, renderPortletHeader, renderPortletHeader`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MocContainerRenderer

    public MocContainerRenderer()

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.